Another fix to wrong ELFCLASS64

Technical support for the Linux and Mac platforms for all Trine games.
eddydbod
Posts: 1
Joined: Sun Nov 03, 2013 5:05 pm

Another fix to wrong ELFCLASS64

Postby eddydbod » Sun Nov 03, 2013 5:19 pm

Hi all,

Hopefully this helps you like it helped me.

Background, I have an nvidia GTX660i and Ubuntu 12.04. I originally installed it with the nvidia304 drivers, and Trine2 started wonderfully. After I upgraded to nvidia319(what a hassle initial install lead to no display on next boot) After the driver upgrade, I could get to the trine2 launcher, but when it would start the game nothing happened apparently.

To fix this I first went through their troubleshooting, after the error Message wrong ELFCLASS64.

First I tried the recommend sudo apt-get install package-name:i386, and you should too. This did not work for me the package could not be found.

Next I tried

sudo apt-get purge ia32-libs followed by sudo apt-get install ia32-libs with still no fix.
Additionally I tried sudo apt-get ia32-libs-multiarch:i386 to no avail.

Finally searching through apt-get with sudo apt-cache search lib32 and found a promising package, sudo apt-get install libc6-i386 fixed all start issues for me immediately with no reboot.

I'm not sure if individually installing libc6-i386 fixed it or the combination of reinstalling ia32-libs, and ia32-libs-multiarch:i386 with it fixed it. But that is how I got Trine2 working again.

Return to “Trine Technical Support for Linux & Mac”

Who is online

Users browsing this forum: No registered users and 5 guests